This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 109485 - kernel-unsupported has unresolved symbols in sisfb
kernel-unsupported has unresolved symbols in sisfb
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-08 08:07 EST by Ralf Ertzinger
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-09 13:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2003-11-08 08:07:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031027

Description of problem:
When installing kernel-unsupported, error messages appear about
unresolved symbols in sisfb:

WARNING:
/lib/modules/2.6.0-0.test9.1.74/unsupported/drivers/video/sis/sisfb.ko
needs unknown symbol __floatsidf
WARNING:
/lib/modules/2.6.0-0.test9.1.74/unsupported/drivers/video/sis/sisfb.ko
needs unknown symbol __fixunsdfsi
WARNING:
/lib/modules/2.6.0-0.test9.1.74/unsupported/drivers/video/sis/sisfb.ko
needs unknown symbol __adddf3
WARNING:
/lib/modules/2.6.0-0.test9.1.74/unsupported/drivers/video/sis/sisfb.ko
needs unknown symbol __divdf3


Version-Release number of selected component (if applicable):
kernel-unsupported-2.6.0-0.test9.1.74

How reproducible:
Didn't try

Steps to Reproduce:
1. Install the kernel-unsupported module
2.
3.
    

Additional info:
Comment 1 Arjan van de Ven 2003-11-08 09:02:25 EST
Well this is sort of why I moved it to -unsupported ...
but indeed floating point really isn't allowed in the kernel so I've
disabled the module entirely for the next build.
Comment 2 Ralf Ertzinger 2004-04-09 13:14:04 EDT
fixed

Note You need to log in before you can comment on or make changes to this bug.